from workers.notificationworker.notificationworker import NotificationWorker

from test.fixtures import *

from workers.notificationworker.models_pre_oci import pre_oci_model as model

def test_basic_notification(initialized_db):
  # Ensure the public user doesn't have any notifications.
  assert not model.user_has_local_notifications('public')

  # Add a basic build notification.
  notification_uuid = model.create_notification_for_testing('public')
  event_data = {}

  # Fire off the queue processing.
  worker = NotificationWorker(None)
  worker.process_queue_item({
    'notification_uuid': notification_uuid,
    'event_data': event_data,
  })

  # Ensure the notification was handled.
  assert model.user_has_local_notifications('public')
